cordova.define("com.vanward.sslsocket.SSLSocket", function(require, exports, module) {
  function SSLSocket() {
  }

  SSLSocket.prototype.connect = function (successCallback, errorCallback, host, port) {

    cordova.exec(successCallback, errorCallback, 'SSLSocket', 'connect', [host, port]);
  };

//
  SSLSocket.prototype.disconnect = function (successCallback, errorCallback, connectionId) {

    cordova.exec(successCallback, errorCallback, 'SSLSocket', 'disconnect', [connectionId]);
  };

//
  SSLSocket.prototype.disconnectAll = function (successCallback, errorCallback) {

    cordova.exec(successCallback, errorCallback, 'SSLSocket', 'disconnectAll', []);
  };

//
  SSLSocket.prototype.isConnected = function (connectionId, successCallback, errorCallback) {

    cordova.exec(successCallback, errorCallback, 'SSLSocket', 'isConnected', [connectionId]);
  };

//
  SSLSocket.prototype.send = function (successCallback, errorCallback, connectionId, data, op,msgId) {
    cordova.exec(successCallback, errorCallback, 'SSLSocket', 'send', [connectionId, typeof data == 'string' ? data : JSON.stringify(data),op,msgId]);
  };


  //socket接口返回内容回调
  SSLSocket.prototype.receive = function (host, port, op,connectionId, msgId,chunk) {
    //'use strict';

    var evReceive = document.createEvent('Events');

    // socket返回内容回调
    evReceive.initEvent('SSLSocket_RECEIVE_DATA_HOOK', true, true);
    evReceive.metadata = {
      connection: {
        id: connectionId,
        op: op,
        host: host,
        port: port,
        msgId:msgId,
        data: chunk
      }
    };


    document.dispatchEvent(evReceive);
  };

  //socket被回收后调用重连
  SSLSocket.prototype.reConnect = function (connectionId) {

    var evReceive = document.createEvent('Events');

    evReceive.initEvent('SSLSocket_RECONNECTED', true, true);
    evReceive.metadata = {
      connection: {
        id: connectionId
      }
    };

    document.dispatchEvent(evReceive);
  };


  SSLSocket.install = function () {
    if (!window.plugins) {
      window.plugins = {};
    }

    window.plugins.sslsocket = new SSLSocket();
    return window.plugins.sslsocket;
  };

  cordova.addConstructor(SSLSocket.install);


//
//
//
//cordova.define("com.vanward.sslsocket.SSLSocket", function(require, exports, module) { /* global module, require, document */
//  var exec = require('cordova/exec');
//
////
//  function SSLSocket(){
//    'use strict';
//
//    this.receiveHookName = 'SSLSocket_RECEIVE_DATA_HOOK';      // *** Event name to act as "hook" for data receiving
//    this.pluginRef = 'SSLSocket';                              // *** Plugin reference for Cordova.exec calls
//  }
//
////
//  SSLSocket.prototype.connect = function (successCallback, errorCallback, host, port) {
//    'use strict';
//    exec(successCallback, errorCallback, this.pluginRef, 'connect', [host, port]);
//  };
//
////
//  SSLSocket.prototype.disconnect = function (successCallback, errorCallback, connectionId) {
//    'use strict';
//    exec(successCallback, errorCallback, this.pluginRef, 'disconnect', [connectionId]);
//  };
//
////
//  SSLSocket.prototype.disconnectAll = function (successCallback, errorCallback) {
//    'use strict';
//    exec(successCallback, errorCallback, this.pluginRef, 'disconnectAll', []);
//  };
//
////
//  SSLSocket.prototype.isConnected = function (connectionId, successCallback, errorCallback) {
//    'use strict';
//    exec(successCallback, errorCallback, this.pluginRef, 'isConnected', [connectionId]);
//  }
//
////
//  SSLSocket.prototype.send = function (successCallback, errorCallback, connectionId, data, op) {
//    'use strict';
//    exec(successCallback, errorCallback, this.pluginRef, 'send', [connectionId, typeof data == 'string' ? data : JSON.stringify(data),op]);
//  };
//
////
//  SSLSocket.prototype.receive = function (host, port, op,connectionId, chunk) {
//    'use strict';
//
//    var evReceive = document.createEvent('Events');
//
//    evReceive.initEvent(this.receiveHookName, true, true);
//    evReceive.metadata = {
//      connection: {
//        id: connectionId,
//        op: op,
//        host: host,
//        port: port,
//      },
//      data: chunk
//    };
//
//    document.dispatchEvent(evReceive);
//  };
//  module.exports = new SSLSocket();
//
//});


});
